WinShopAPI docs
ReferenceProduct

Get a product attachment

Returns one attachment including its file contents. Requires `Permissions.Product.View`.

GET
/api/products/{productId}/attachment/{attachmentId}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

productId*integer
Formatint32
Default0
attachmentId*integer
Formatint32
Default0

Response Body

application/json
  1. response

A product attachment together with its file contents.

fileData?string
fileName?string
id?integer
Formatint32
pathToFile?string
curl -X GET 'https://<your-instance>/api/products/0/attachment/0' \  -H 'Authorization: Bearer <access-token>'
{  "fileData": "string",  "fileName": "string",  "id": 0,  "pathToFile": "string"}